diff --git a/web/.eslintrc.js b/web/.eslintrc.js
index 56ec061a..03b8dcab 100644
--- a/web/.eslintrc.js
+++ b/web/.eslintrc.js
@@ -14,14 +14,9 @@ module.exports = {
     'amd': true,
     'jasmine': true,
   },
-  'extends': [
-    'eslint:recommended',
-  ],
   'parserOptions': {
-    'ecmaFeatures': {
-      'experimentalObjectRestSpread': true,
-    },
-    'sourceType': 'module'
+    'ecmaVersion': 2018,
+    'sourceType': 'module',
   },
   'plugins': [
   ],
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/schema_child_tree_node.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/schema_child_tree_node.js
index c3dd4fb1..670d35bb 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/schema_child_tree_node.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/schema_child_tree_node.js
@@ -7,7 +7,7 @@
 //
 /////////////////////////////////////////////////////////////
 
-import * as pgBrowser from 'pgbrowser/browser';
+import treeMenu from 'pgbrowser/browser';
 
 export function childCreateMenuEnabled(itemData, item, data) {
   // If check is false then , we will allow create menu
@@ -15,7 +15,7 @@ export function childCreateMenuEnabled(itemData, item, data) {
     return true;
   }
 
-  let node = pgBrowser.treeMenu.findNodeByDomElement(item);
+  let node = treeMenu.findNodeByDomElement(item);
 
   if (node)
     return node.anyFamilyMember(
@@ -26,7 +26,7 @@ export function childCreateMenuEnabled(itemData, item, data) {
 }
 
 export function isTreeItemOfChildOfSchema(itemData, item) {
-  let node = pgBrowser.treeMenu.findNodeByDomElement(item);
+  let node = treeMenu.findNodeByDomElement(item);
 
   if (node)
     return isTreeNodeOfSchemaChild(node);
diff --git a/web/pgadmin/browser/static/js/keyboard.js b/web/pgadmin/browser/static/js/keyboard.js
index 4d9b6ae7..8c702066 100644
--- a/web/pgadmin/browser/static/js/keyboard.js
+++ b/web/pgadmin/browser/static/js/keyboard.js
@@ -13,7 +13,9 @@ import $ from 'jquery';
 import Mousetrap from 'mousetrap';
 import * as commonUtils from '../../../static/js/utils';
 import dialogTabNavigator from '../../../static/js/dialog_tab_navigator';
-import {default as keyboardFunc} from 'sources/keyboard_shortcuts';
+//import {default as keyboardFunc} from 'sources/keyboard_shortcuts';
+
+var keyboardFunc = require('sources/keyboard_shortcuts');
 
 const pgBrowser = pgAdmin.Browser = pgAdmin.Browser || {};
 
diff --git a/web/pgadmin/browser/static/js/preferences.js b/web/pgadmin/browser/static/js/preferences.js
index d7956e88..96330aff 100644
--- a/web/pgadmin/browser/static/js/preferences.js
+++ b/web/pgadmin/browser/static/js/preferences.js
@@ -9,10 +9,10 @@
 
 import pgAdmin from 'sources/pgadmin';
 import url_for from 'sources/url_for';
-import * as modifyAnimation from 'sources/modify_animation';
 import $ from 'jquery';
 import * as Alertify from 'pgadmin.alertifyjs';
 import * as SqlEditorUtils from 'sources/sqleditor_utils';
+var modifyAnimation = require('sources/modify_animation');
 
 const pgBrowser = pgAdmin.Browser = pgAdmin.Browser || {};
 
@@ -51,8 +51,8 @@ _.extend(pgBrowser, {
           if(self.preferences_cache.length > 0) {
             clearInterval(preferenceTimeout);
             return _.findWhere(
-            self.preferences_cache, {'module': module, 'name': preference}
-          );
+              self.preferences_cache, {'module': module, 'name': preference}
+            );
           }
         },
         preferenceTimeout = setInterval(check_preference, 1000);
@@ -93,35 +93,35 @@ _.extend(pgBrowser, {
       $.ajax({
         url: url_for('preferences.get_all'),
       })
-      .done(function(res) {
-        self.preferences_cache = res;
-        self.preference_version(self.generate_preference_version());
-
-        pgBrowser.keyboardNavigation.init();
-        if(pgBrowser.tree) {
-          modifyAnimation.modifyAcitreeAnimation(self);
-          modifyAnimation.modifyAlertifyAnimation(self);
-        }
+        .done(function(res) {
+          self.preferences_cache = res;
+          self.preference_version(self.generate_preference_version());
+
+          pgBrowser.keyboardNavigation.init();
+          if(pgBrowser.tree) {
+            modifyAnimation.modifyAcitreeAnimation(self);
+            modifyAnimation.modifyAlertifyAnimation(self);
+          }
 
-        // Initialize Tree saving/reloading
-        pgBrowser.browserTreeState.init();
+          // Initialize Tree saving/reloading
+          pgBrowser.browserTreeState.init();
 
-        /* Once the cache is loaded after changing the preferences,
+          /* Once the cache is loaded after changing the preferences,
          * notify the modules of the change
          */
-        if(modulesChanged) {
-          if(typeof modulesChanged === 'string'){
-            $.event.trigger('prefchange:'+modulesChanged);
-          } else {
-            _.each(modulesChanged, (val, key)=> {
-              $.event.trigger('prefchange:'+key);
-            });
+          if(modulesChanged) {
+            if(typeof modulesChanged === 'string'){
+              $.event.trigger('prefchange:'+modulesChanged);
+            } else {
+              _.each(modulesChanged, (val, key)=> {
+                $.event.trigger('prefchange:'+key);
+              });
+            }
           }
-        }
-      })
-      .fail(function(xhr, status, error) {
-        Alertify.pgRespErrorNotify(xhr, error);
-      });
+        })
+        .fail(function(xhr, status, error) {
+          Alertify.pgRespErrorNotify(xhr, error);
+        });
     }, 500);
   },
 
diff --git a/web/pgadmin/static/js/dialog_tab_navigator.js b/web/pgadmin/static/js/dialog_tab_navigator.js
index 44721725..2f654424 100644
--- a/web/pgadmin/static/js/dialog_tab_navigator.js
+++ b/web/pgadmin/static/js/dialog_tab_navigator.js
@@ -9,10 +9,9 @@
 
 import $ from 'jquery';
 import Mousetrap from 'mousetrap';
-import { findAndSetFocus } from './utils';
-import { parseShortcutValue } from './utils';
+import { findAndSetFocus, parseShortcutValue } from './utils';
 
-class dialogTabNavigator {
+export default class dialogTabNavigator {
   constructor(dialogContainer, backwardShortcut, forwardShortcut) {
 
     this.dialogContainer = dialogContainer;
@@ -146,7 +145,3 @@ class dialogTabNavigator {
     Mousetrap(this.dialogContainer[0]).unbind(this.dialogTabForward);
   }
 }
-
-module.exports = {
-  dialogTabNavigator: dialogTabNavigator,
-};
diff --git a/web/pgadmin/static/js/keyboard_shortcuts.js b/web/pgadmin/static/js/keyboard_shortcuts.js
index 70aab912..017529b7 100644
--- a/web/pgadmin/static/js/keyboard_shortcuts.js
+++ b/web/pgadmin/static/js/keyboard_shortcuts.js
@@ -212,21 +212,21 @@ function keyboardShortcutsQueryTool(
       queryToolActions.executeRollback(sqlEditorController);
     }
   } else if ((
-     (this.isMac() && event.metaKey) ||
+    (this.isMac() && event.metaKey) ||
      (!this.isMac() && event.ctrlKey)
-    ) && !event.altKey && event.shiftKey && keyCode === FWD_SLASH_KEY) {
+  ) && !event.altKey && event.shiftKey && keyCode === FWD_SLASH_KEY) {
     this._stopEventPropagation(event);
     queryToolActions.commentBlockCode(sqlEditorController);
   } else if ((
-     (this.isMac() && !this.isKeyCtrlAltShift(event) && event.metaKey) ||
+    (this.isMac() && !this.isKeyCtrlAltShift(event) && event.metaKey) ||
      (!this.isMac() && !this.isKeyAltShift(event) && event.ctrlKey)
-    ) && keyCode === FWD_SLASH_KEY) {
+  ) && keyCode === FWD_SLASH_KEY) {
     this._stopEventPropagation(event);
     queryToolActions.commentLineCode(sqlEditorController);
   } else if ((
-     (this.isMac() && !this.isKeyCtrlAltShift(event) && event.metaKey) ||
+    (this.isMac() && !this.isKeyCtrlAltShift(event) && event.metaKey) ||
      (!this.isMac() && !this.isKeyAltShift(event) && event.ctrlKey)
-    ) && keyCode === PERIOD_KEY) {
+  ) && keyCode === PERIOD_KEY) {
     this._stopEventPropagation(event);
     queryToolActions.uncommentLineCode(sqlEditorController);
   }  else if (keyCode == ESC_KEY) {
@@ -296,22 +296,11 @@ function keyboardShortcutsQueryTool(
   return panel_id;
 }
 
-module.exports = {
-  processEventDebugger: keyboardShortcutsDebugger,
-  processEventQueryTool: keyboardShortcutsQueryTool,
-  getInnerPanel: getInnerPanel,
-  validateShortcutKeys: validateShortcutKeys,
-  // misc functions
-  _stopEventPropagation: _stopEventPropagation,
-  isMac: isMac,
-  isKeyCtrlAlt: isKeyCtrlAlt,
-  isKeyAltShift: isKeyAltShift,
-  isKeyCtrlShift: isKeyCtrlShift,
-  isKeyCtrlAltShift: isKeyCtrlAltShift,
-  isAltShiftBoth: isAltShiftBoth,
-  isCtrlShiftBoth: isCtrlShiftBoth,
-  isCtrlAltBoth: isCtrlAltBoth,
-  shortcut_key : shortcut_key,
-  shortcut_title : shortcut_title,
-  shortcut_accesskey_title : shortcut_accesskey_title,
+export {
+  keyboardShortcutsDebugger as processEventDebugger,
+  keyboardShortcutsQueryTool as processEventQueryTool,
+  getInnerPanel, validateShortcutKeys,
+  _stopEventPropagation, isMac, isKeyCtrlAlt, isKeyAltShift, isKeyCtrlShift,
+  isKeyCtrlAltShift, isAltShiftBoth, isCtrlShiftBoth, isCtrlAltBoth,
+  shortcut_key, shortcut_title, shortcut_accesskey_title,
 };
diff --git a/web/pgadmin/static/js/sqleditor/filter_dialog.js b/web/pgadmin/static/js/sqleditor/filter_dialog.js
index ac7e2a22..f5662ea5 100644
--- a/web/pgadmin/static/js/sqleditor/filter_dialog.js
+++ b/web/pgadmin/static/js/sqleditor/filter_dialog.js
@@ -14,7 +14,7 @@ import Alertify from 'pgadmin.alertifyjs';
 import pgAdmin from 'sources/pgadmin';
 import Backform from 'pgadmin.backform';
 import axios from 'axios';
-import queryToolActions from 'sources/sqleditor/query_tool_actions';
+var queryToolActions = require('sources/sqleditor/query_tool_actions');
 import filterDialogModel from 'sources/sqleditor/filter_dialog_model';
 import {handleQueryToolAjaxError} from 'sources/sqleditor/query_tool_http_error_handler';
 
@@ -40,89 +40,89 @@ let FilterDialog = {
         'Cache-Control' : 'no-cache',
       },
     })
-    .done(function (res) {
-      let response = res.data.result;
-
-      // Check the alertify dialog already loaded then delete it to clear
-      // the cache
-      if (Alertify.filterDialog) {
-        delete Alertify.filterDialog;
-      }
-
-      // Create Dialog
-      Alertify.dialog('filterDialog', function factory() {
-        let $container = $('<div class=\'data_sorting_dialog\'></div>');
-        return {
-          main: function() {
-            this.set('title', gettext('Sort/Filter options'));
-          },
-          build: function() {
-            this.elements.content.appendChild($container.get(0));
-            Alertify.pgDialogBuild.apply(this);
-          },
-          setup: function() {
-            return {
-              buttons: [{
-                text: '',
-                key: 112,
-                className: 'btn btn-secondary pull-left fa fa-question pg-alertify-icon-button',
-                attrs: {
-                  name: 'dialog_help',
-                  type: 'button',
-                  label: gettext('Help'),
-                  url: url_for('help.static', {
-                    'filename': 'editgrid.html',
-                  }),
+      .done(function (res) {
+        let response = res.data.result;
+
+        // Check the alertify dialog already loaded then delete it to clear
+        // the cache
+        if (Alertify.filterDialog) {
+          delete Alertify.filterDialog;
+        }
+
+        // Create Dialog
+        Alertify.dialog('filterDialog', function factory() {
+          let $container = $('<div class=\'data_sorting_dialog\'></div>');
+          return {
+            main: function() {
+              this.set('title', gettext('Sort/Filter options'));
+            },
+            build: function() {
+              this.elements.content.appendChild($container.get(0));
+              Alertify.pgDialogBuild.apply(this);
+            },
+            setup: function() {
+              return {
+                buttons: [{
+                  text: '',
+                  key: 112,
+                  className: 'btn btn-secondary pull-left fa fa-question pg-alertify-icon-button',
+                  attrs: {
+                    name: 'dialog_help',
+                    type: 'button',
+                    label: gettext('Help'),
+                    url: url_for('help.static', {
+                      'filename': 'editgrid.html',
+                    }),
+                  },
+                }, {
+                  text: gettext('Cancel'),
+                  key: 27,
+                  className: 'btn btn-secondary fa fa-times pg-alertify-button',
+                  'data-btn-name': 'cancel',
+                }, {
+                  text: gettext('OK'),
+                  className: 'btn btn-primary fa fa-check pg-alertify-button',
+                  'data-btn-name': 'ok',
+                }],
+                // Set options for dialog
+                options: {
+                  title: title,
+                  //disable both padding and overflow control.
+                  padding: !1,
+                  overflow: !1,
+                  model: 0,
+                  resizable: true,
+                  maximizable: true,
+                  pinnable: false,
+                  closableByDimmer: false,
+                  modal: false,
+                  autoReset: false,
                 },
-              }, {
-                text: gettext('Cancel'),
-                key: 27,
-                className: 'btn btn-secondary fa fa-times pg-alertify-button',
-                'data-btn-name': 'cancel',
-              }, {
-                text: gettext('OK'),
-                className: 'btn btn-primary fa fa-check pg-alertify-button',
-                'data-btn-name': 'ok',
-              }],
-              // Set options for dialog
-              options: {
-                title: title,
-                //disable both padding and overflow control.
-                padding: !1,
-                overflow: !1,
-                model: 0,
-                resizable: true,
-                maximizable: true,
-                pinnable: false,
-                closableByDimmer: false,
-                modal: false,
-                autoReset: false,
-              },
-            };
-          },
-          hooks: {
+              };
+            },
+            hooks: {
             // triggered when the dialog is closed
-            onclose: function() {
-              if (this.view) {
-                this.filterCollectionModel.stopSession();
-                this.view.model.stopSession();
-                this.view.remove({
-                  data: true,
-                  internal: true,
-                  silent: true,
-                });
-              }
+              onclose: function() {
+                if (this.view) {
+                  this.filterCollectionModel.stopSession();
+                  this.view.model.stopSession();
+                  this.view.remove({
+                    data: true,
+                    internal: true,
+                    silent: true,
+                  });
+                }
+              },
             },
-          },
-          prepare: function() {
-            let self = this;
-            $container.html('');
-            // Disable Ok button
-            this.__internal.buttons[2].element.disabled = true;
-
-            // Status bar
-            this.statusBar = $(
-              '<div class=\'pg-prop-status-bar pg-el-xs-12 d-none\'>' +
+            prepare: function() {
+              let self = this;
+              $container.html('');
+              // Disable Ok button
+              this.__internal.buttons[2].element.disabled = true;
+
+              // Status bar
+              this.statusBar = $(
+                '<div class=\'pg-prop-status-bar pg-el-xs-12 d-none\'>' +
               '  <div class="error-in-footer"> ' +
               '    <div class="d-flex px-2 py-1"> ' +
               '      <div class="pr-2"> ' +
@@ -133,144 +133,144 @@ let FilterDialog = {
               '  </div> ' +
               '</div>').appendTo($container);
 
-            // To show progress on filter Saving/Updating on AJAX
-            this.showFilterProgress = $(
-              `<div id="show_filter_progress" class="pg-sp-container sql-editor-busy-fetching d-none">
+              // To show progress on filter Saving/Updating on AJAX
+              this.showFilterProgress = $(
+                `<div id="show_filter_progress" class="pg-sp-container sql-editor-busy-fetching d-none">
                   <div class="pg-sp-content">
                       <div class="row"><div class="col-12 pg-sp-icon sql-editor-busy-icon"></div></div>
                       <div class="row"><div class="col-12 pg-sp-text sql-editor-busy-text">${gettext('Loading data...')}</div></div>
                   </div>
               </div>`
               ).appendTo($container);
-            $(
-              self.showFilterProgress[0]
-            ).removeClass('d-none');
+              $(
+                self.showFilterProgress[0]
+              ).removeClass('d-none');
 
-            self.filterCollectionModel = filterDialogModel(response);
+              self.filterCollectionModel = filterDialogModel(response);
 
-            let fields = Backform.generateViewSchema(
+              let fields = Backform.generateViewSchema(
                 null, self.filterCollectionModel, 'create', null, null, true
-            );
-
-            let view = this.view = new Backform.Dialog({
-              el: '<div></div>',
-              model: self.filterCollectionModel,
-              schema: fields,
-            });
-
-            $(this.elements.body.childNodes[0]).addClass(
-              'alertify_tools_dialog_properties obj_properties'
-            );
-
-            $container.append(view.render().$el);
-
-            // Enable/disable save button and show/hide statusbar based on session
-            view.listenTo(view.model, 'pgadmin-session:start', function() {
-              view.listenTo(view.model, 'pgadmin-session:invalid', function(msg) {
-                self.statusBar.removeClass('d-none');
-                $(self.statusBar.find('.alert-text')).html(msg);
-                // Disable Okay button
-                self.__internal.buttons[2].element.disabled = true;
-              });
+              );
 
-              view.listenTo(view.model, 'pgadmin-session:valid', function() {
-                self.statusBar.addClass('d-none');
-                $(self.statusBar.find('.alert-text')).html('');
-                // Enable Okay button
-                self.__internal.buttons[2].element.disabled = false;
+              let view = this.view = new Backform.Dialog({
+                el: '<div></div>',
+                model: self.filterCollectionModel,
+                schema: fields,
               });
-            });
 
-            view.listenTo(view.model, 'pgadmin-session:stop', function() {
-              view.stopListening(view.model, 'pgadmin-session:invalid');
-              view.stopListening(view.model, 'pgadmin-session:valid');
-            });
+              $(this.elements.body.childNodes[0]).addClass(
+                'alertify_tools_dialog_properties obj_properties'
+              );
 
-            // Starts monitoring changes to model
-            view.model.startNewSession();
+              $container.append(view.render().$el);
 
-            // Set data in collection
-            let viewDataSortingModel = view.model.get('data_sorting');
-            viewDataSortingModel.add(response['data_sorting']);
+              // Enable/disable save button and show/hide statusbar based on session
+              view.listenTo(view.model, 'pgadmin-session:start', function() {
+                view.listenTo(view.model, 'pgadmin-session:invalid', function(msg) {
+                  self.statusBar.removeClass('d-none');
+                  $(self.statusBar.find('.alert-text')).html(msg);
+                  // Disable Okay button
+                  self.__internal.buttons[2].element.disabled = true;
+                });
 
-            // Hide Progress ...
-            $(
-              self.showFilterProgress[0]
-            ).addClass('d-none');
+                view.listenTo(view.model, 'pgadmin-session:valid', function() {
+                  self.statusBar.addClass('d-none');
+                  $(self.statusBar.find('.alert-text')).html('');
+                  // Enable Okay button
+                  self.__internal.buttons[2].element.disabled = false;
+                });
+              });
 
-          },
-          // Callback functions when click on the buttons of the Alertify dialogs
-          callback: function(e) {
-            let self = this;
+              view.listenTo(view.model, 'pgadmin-session:stop', function() {
+                view.stopListening(view.model, 'pgadmin-session:invalid');
+                view.stopListening(view.model, 'pgadmin-session:valid');
+              });
 
-            if (e.button.element.name == 'dialog_help') {
-              e.cancel = true;
-              pgAdmin.Browser.showHelp(e.button.element.name, e.button.element.getAttribute('url'),
-                null, null);
-              return;
-            } else if (e.button['data-btn-name'] === 'ok') {
-              e.cancel = true; // Do not close dialog
+              // Starts monitoring changes to model
+              view.model.startNewSession();
 
-              let filterCollectionModel = this.filterCollectionModel.toJSON();
+              // Set data in collection
+              let viewDataSortingModel = view.model.get('data_sorting');
+              viewDataSortingModel.add(response['data_sorting']);
 
-              // Show Progress ...
+              // Hide Progress ...
               $(
                 self.showFilterProgress[0]
-              ).removeClass('d-none');
+              ).addClass('d-none');
 
-              axios.put(
-                url_for('sqleditor.set_filter_data', {
-                  'trans_id': handler.transId,
-                }),
-                filterCollectionModel
-              ).then(function (result) {
-                // Hide Progress ...
+            },
+            // Callback functions when click on the buttons of the Alertify dialogs
+            callback: function(e) {
+              let self = this;
+
+              if (e.button.element.name == 'dialog_help') {
+                e.cancel = true;
+                pgAdmin.Browser.showHelp(e.button.element.name, e.button.element.getAttribute('url'),
+                  null, null);
+                return;
+              } else if (e.button['data-btn-name'] === 'ok') {
+                e.cancel = true; // Do not close dialog
+
+                let filterCollectionModel = this.filterCollectionModel.toJSON();
+
+                // Show Progress ...
                 $(
                   self.showFilterProgress[0]
-                ).addClass('d-none');
+                ).removeClass('d-none');
 
-                let response = result.data.data;
+                axios.put(
+                  url_for('sqleditor.set_filter_data', {
+                    'trans_id': handler.transId,
+                  }),
+                  filterCollectionModel
+                ).then(function (result) {
+                // Hide Progress ...
+                  $(
+                    self.showFilterProgress[0]
+                  ).addClass('d-none');
+
+                  let response = result.data.data;
+
+                  if (response.status) {
+                    setTimeout(
+                      function() {
+                        self.close(); // Close the dialog now
+                        Alertify.success(gettext('Filter updated successfully'));
+                        queryToolActions.executeQuery(handler);
+                      }, 10
+                    );
+                  } else {
+                    Alertify.alert(
+                      gettext('Validation Error'),
+                      response.result
+                    );
+                  }
+
+                }).catch(function (error) {
+                // Hide Progress ...
+                  $(
+                    self.showFilterProgress[0]
+                  ).addClass('d-none');
+                  handler.onExecuteHTTPError(error);
 
-                if (response.status) {
                   setTimeout(
                     function() {
-                      self.close(); // Close the dialog now
-                      Alertify.success(gettext('Filter updated successfully'));
-                      queryToolActions.executeQuery(handler);
+                      Alertify.error(error);
                     }, 10
                   );
-                } else {
-                  Alertify.alert(
-                      gettext('Validation Error'),
-                      response.result
-                  );
-                }
+                });
+              } else {
+                self.close();
+              }
+            },
+          };
+        });
 
-              }).catch(function (error) {
-                // Hide Progress ...
-                $(
-                  self.showFilterProgress[0]
-                ).addClass('d-none');
-                handler.onExecuteHTTPError(error);
-
-                setTimeout(
-                  function() {
-                    Alertify.error(error);
-                  }, 10
-                );
-              });
-            } else {
-              self.close();
-            }
-          },
-        };
+        Alertify.filterDialog(title).resizeTo(pgAdmin.Browser.stdW.md,pgAdmin.Browser.stdH.md);
+      })
+      .fail(function(e) {
+        handleQueryToolAjaxError(pgAdmin, handler, e, '_show_filter', [], true);
       });
-
-      Alertify.filterDialog(title).resizeTo(pgAdmin.Browser.stdW.md,pgAdmin.Browser.stdH.md);
-    })
-    .fail(function(e) {
-      handleQueryToolAjaxError(pgAdmin, handler, e, '_show_filter', [], true);
-    });
   },
 };
 
diff --git a/web/pgadmin/static/js/sqleditor/filter_dialog_model.js b/web/pgadmin/static/js/sqleditor/filter_dialog_model.js
index fa1c059e..7d82f26c 100644
--- a/web/pgadmin/static/js/sqleditor/filter_dialog_model.js
+++ b/web/pgadmin/static/js/sqleditor/filter_dialog_model.js
@@ -13,7 +13,7 @@ import pgAdmin from 'sources/pgadmin';
 import Backgrid from 'pgadmin.backgrid';
 import Backform from 'pgadmin.backform';
 
-let initModel = function(response) {
+export default function filterDialogModel(response) {
 
   let order_mapping = {
     'asc': gettext('ASC'),
@@ -135,7 +135,4 @@ let initModel = function(response) {
 
   let model = new FilterCollectionModel();
   return model;
-};
-
-
-module.exports = initModel;
+}
diff --git a/web/pgadmin/static/js/tree/pgadmin_tree_save_state.js b/web/pgadmin/static/js/tree/pgadmin_tree_save_state.js
index c1e3f829..0d2071f0 100644
--- a/web/pgadmin/static/js/tree/pgadmin_tree_save_state.js
+++ b/web/pgadmin/static/js/tree/pgadmin_tree_save_state.js
@@ -13,10 +13,10 @@ import url_for from 'sources/url_for';
 import gettext from 'sources/gettext';
 import pgAdmin from 'sources/pgadmin';
 
-const pgBrowser = pgAdmin.Browser = pgAdmin.Browser || {};
+export const pgBrowser = pgAdmin.Browser = pgAdmin.Browser || {};
 
 
-const browserTreeState = pgBrowser.browserTreeState = pgBrowser.browserTreeState || {};
+export const browserTreeState = pgBrowser.browserTreeState = pgBrowser.browserTreeState || {};
 
 _.extend(pgBrowser.browserTreeState, {
 
@@ -74,20 +74,20 @@ _.extend(pgBrowser.browserTreeState, {
         url: url_for('settings.reset_tree_state'),
         type: 'DELETE',
       })
-      .fail(function(jqx) {
-        var msg = jqx.responseText;
-        /* Error from the server */
-        if (jqx.status == 417 || jqx.status == 410 || jqx.status == 500) {
-          try {
-            var data = JSON.parse(jqx.responseText);
-            msg = data.errormsg;
-          } catch (e) {
-            console.warn(e.stack || e);
+        .fail(function(jqx) {
+          var msg = jqx.responseText;
+          /* Error from the server */
+          if (jqx.status == 417 || jqx.status == 410 || jqx.status == 500) {
+            try {
+              var data = JSON.parse(jqx.responseText);
+              msg = data.errormsg;
+            } catch (e) {
+              console.warn(e.stack || e);
+            }
           }
-        }
-        console.warn(
-          gettext('Error resetting the tree saved state."'), msg);
-      });
+          console.warn(
+            gettext('Error resetting the tree saved state."'), msg);
+        });
     }
 
   },
@@ -103,23 +103,23 @@ _.extend(pgBrowser.browserTreeState, {
       contentType: 'application/json',
       data: JSON.stringify(self.current_state),
     })
-    .done(function() {
-      self.last_state = JSON.stringify(self.current_state);
-    })
-    .fail(function(jqx) {
-      var msg = jqx.responseText;
-      /* Error from the server */
-      if (jqx.status == 417 || jqx.status == 410 || jqx.status == 500) {
-        try {
-          var data = JSON.parse(jqx.responseText);
-          msg = data.errormsg;
-        } catch (e) {
-          console.warn(e.stack || e);
+      .done(function() {
+        self.last_state = JSON.stringify(self.current_state);
+      })
+      .fail(function(jqx) {
+        var msg = jqx.responseText;
+        /* Error from the server */
+        if (jqx.status == 417 || jqx.status == 410 || jqx.status == 500) {
+          try {
+            var data = JSON.parse(jqx.responseText);
+            msg = data.errormsg;
+          } catch (e) {
+            console.warn(e.stack || e);
+          }
         }
-      }
-      console.warn(
-        gettext('Error saving the tree state."'), msg);
-    });
+        console.warn(
+          gettext('Error saving the tree state."'), msg);
+      });
 
   },
   fetch_state: function() {
@@ -131,23 +131,23 @@ _.extend(pgBrowser.browserTreeState, {
       dataType: 'json',
       contentType: 'application/json',
     })
-    .done(function(res) {
-      self.stored_state = res;
-    })
-    .fail(function(jqx) {
-      var msg = jqx.responseText;
-      /* Error from the server */
-      if (jqx.status == 417 || jqx.status == 410 || jqx.status == 500) {
-        try {
-          var data = JSON.parse(jqx.responseText);
-          msg = data.errormsg;
-        } catch (e) {
-          console.warn(e.stack || e);
+      .done(function(res) {
+        self.stored_state = res;
+      })
+      .fail(function(jqx) {
+        var msg = jqx.responseText;
+        /* Error from the server */
+        if (jqx.status == 417 || jqx.status == 410 || jqx.status == 500) {
+          try {
+            var data = JSON.parse(jqx.responseText);
+            msg = data.errormsg;
+          } catch (e) {
+            console.warn(e.stack || e);
+          }
         }
-      }
-      console.warn(
-        gettext('Error fetching the tree state."'), msg);
-    });
+        console.warn(
+          gettext('Error fetching the tree state."'), msg);
+      });
   },
   update_cache: function(item) {
 
@@ -390,5 +390,3 @@ _.extend(pgBrowser.browserTreeState, {
     }
   },
 });
-
-export {pgBrowser, browserTreeState};
* Unmerged path web/pgadmin/static/jsx/history/detail/code_mirror.jsx
* Unmerged path web/pgadmin/static/jsx/history/detail/history_detail_message.jsx
* Unmerged path web/pgadmin/static/jsx/history/detail/history_detail_query.jsx
* Unmerged path web/pgadmin/static/jsx/history/detail/history_error_message.jsx
* Unmerged path web/pgadmin/static/jsx/history/query_history.jsx
